> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superglue.cloud/llms.txt
> Use this file to discover all available pages before exploring further.

# Get download URL for a file artifact

> Get a fresh presigned download URL for a specific file artifact.
Use this to refresh expired URLs.




## OpenAPI

````yaml /openapi.yaml get /runs/{runId}/files/{fileKey}/download
openapi: 3.0.0
info:
  title: superglue AI API
  version: 1.0.0
  description: API for running superglue AI tools
  contact:
    name: superglue AI Support
    email: stefan@superglue.ai
servers:
  - url: https://api.superglue.ai/v1
    description: Production
security:
  - ApiKeyAuth: []
paths:
  /runs/{runId}/files/{fileKey}/download:
    get:
      tags:
        - Runs
      summary: Get download URL for a file artifact
      description: |
        Get a fresh presigned download URL for a specific file artifact.
        Use this to refresh expired URLs.
      operationId: getRunFileDownload
      parameters:
        - name: runId
          in: path
          required: true
          schema:
            type: string
        - name: fileKey
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: Download URL
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                  fileKey:
                    type: string
                  filename:
                    type: string
                  contentType:
                    type: string
                  size:
                    type: integer
                  downloadUrl:
                    type: string
                    format: uri
                  expiresIn:
                    type: integer
                    description: URL validity in seconds
                    example: 3600
        '404':
          description: Run or file artifact not found
        '503':
          description: File storage not configured
components:
  securitySchemes:
    ApiKeyAuth:
      type: http
      scheme: bearer
      bearerFormat: Static API Key
      description: >
        Static API key authentication using Bearer token scheme.

        Include your API key in the Authorization header: `Authorization: Bearer
        YOUR_API_KEY`


        Alternatively, you can use the `token` query parameter to authenticate.


        API keys can be generated in your superglue dashboard.

````